//
//  GenIData.swift
//  Pokedex
//
//  Created by Jean Manas on 10/24/21.
//

import Foundation

protocol PokemonProvider {
    func list() -> [Pokemon]
}

struct GenIData: PokemonProvider {
    func list() -> [Pokemon] {
    return [
        Pokemon(1, "Bulbasaur", 45, 49, 49, 65, 65, 45, 318, "Grass"),
        Pokemon(2, "Ivysaur", 60, 62, 63, 80, 80, 60, 405, "Grass"),
        Pokemon(3, "Venusaur", 80, 82, 83, 100, 100, 80, 525, "Grass"),
        Pokemon(4, "Charmander", 39, 52, 43, 60, 50, 65, 309, "Fire"),
        Pokemon(5, "Charmeleon", 58, 64, 58, 80, 65, 80, 405, "Fire"),
        Pokemon(6, "Charizard", 78, 84, 78, 109, 85, 100, 534, "Fire"),
        Pokemon(7, "Squirtle", 44, 48, 65, 60, 54, 43, 314, "Water"),
        Pokemon(8, "Wartortle", 59, 63, 80, 65, 80, 58, 405, "Water"),
        Pokemon(9, "Blastoise", 79, 83, 100, 85, 105, 78, 530, "Water"),
        Pokemon(10, "Caterpie", 45, 30, 35, 20, 20, 45, 195, "Bug"),
        Pokemon(11, "Metapod", 50, 20, 55, 25, 25, 30, 205, "Bug"),
        Pokemon(12, "Butterfree", 60, 45, 50, 80, 80, 70, 385, "Bug"),
        Pokemon(13, "Weedle", 40, 35, 30, 20, 20, 50, 195, "Bug"),
        Pokemon(14, "Kakuna", 45, 25, 50, 25, 25, 35, 205, "Bug"),
        Pokemon(15, "Beedrill", 65, 80, 40, 40, 80, 75, 380, "Bug"),
        Pokemon(16, "Pidgey", 40, 45, 40, 35, 35, 56, 251, "Normal"),
        Pokemon(17, "Pidgeotto", 63, 60, 55, 50, 50, 71, 349, "Normal"),
        Pokemon(18, "Pidgeot", 83, 80, 75, 70, 70, 91, 469, "Normal"),
        Pokemon(19, "Rattata", 30, 56, 35, 25, 35, 72, 253, "Normal"),
        Pokemon(20, "Raticate", 55, 81, 60, 50, 70, 97, 413, "Normal"),
        Pokemon(21, "Spearow", 40, 60, 30, 31, 31, 70, 262, "Normal"),
        Pokemon(22, "Fearow", 65, 90, 65, 61, 61, 100, 442, "Normal"),
        Pokemon(23, "Ekans", 30, 60, 44, 40, 54, 55, 283, "Poison"),
        Pokemon(24, "Arbok", 60, 85, 69, 65, 79, 80, 438, "Poison"),
        Pokemon(25, "Pikachu", 35, 55, 30, 50, 40, 90, 300, "Electric"),
        Pokemon(26, "Raichu", 60, 90, 55, 90, 80, 100, 475, "Electric"),
        Pokemon(27, "Sandshrew", 50, 75, 85, 20, 30, 40, 300, "Ground"),
        Pokemon(28, "Sandslash", 75, 100, 110, 45, 55, 65, 450, "Ground"),
        Pokemon(29, "Nidoran ♀", 55, 47, 52, 40, 40, 41, 275, "Poison"),
        Pokemon(30, "Nidorina", 70, 62, 67, 55, 55, 56, 365, "Poison"),
        Pokemon(31, "Nidoqueen", 90, 82, 87, 75, 85, 76, 495, "Poison"),
        Pokemon(32, "Nidoran ♂" , 46, 57, 40, 40, 40, 50, 273, "Poison"),
        Pokemon(33, "Nidorino", 61, 72, 57, 55, 55, 65, 365, "Poison"),
        Pokemon(34, "Nidoking", 81, 92, 77, 85, 75, 85, 495, "Poison"),
        Pokemon(35, "Clefairy", 70, 45, 48, 60, 65, 35, 323, "Normal"),
        Pokemon(36, "Clefable", 95, 70, 73, 85, 90, 60, 473, "Normal"),
        Pokemon(37, "Vulpix", 38, 41, 40, 50, 65, 65, 299, "Fire"),
        Pokemon(38, "Ninetales", 73, 76, 75, 81, 100, 100, 505, "Fire"),
        Pokemon(39, "Jigglypuff", 115, 45, 20, 45, 25, 20, 270, "Normal"),
        Pokemon(40, "Wigglytuff", 140, 70, 45, 75, 50, 45, 425, "Normal"),
        Pokemon(41, "Zubat", 40, 45, 35, 30, 40, 55, 245, "Poison"),
        Pokemon(42, "Golbat", 75, 80, 70, 65, 75, 90, 455, "Poison"),
        Pokemon(43, "Oddish", 45, 50, 55, 75, 65, 30, 320, "Grass"),
        Pokemon(44, "Gloom", 60, 65, 70, 85, 75, 40, 395, "Grass"),
        Pokemon(45, "Vileplume", 75, 80, 85, 100, 90, 50, 480, "Grass"),
        Pokemon(46, "Paras", 35, 70, 55, 45, 55, 25, 285, "Bug"),
        Pokemon(47, "Parasect", 60, 95, 80, 60, 80, 30, 405, "Bug"),
        Pokemon(48, "Venonat", 60, 55, 50, 40, 55, 45, 305, "Bug"),
        Pokemon(49, "Venomoth", 70, 65, 60, 90, 75, 90, 450, "Bug"),
        Pokemon(50, "Diglett", 10, 55, 25, 35, 45, 95, 265, "Ground"),
        Pokemon(51, "Dugtrio", 35, 80, 50, 50, 70, 120, 405, "Ground"),
        Pokemon(52, "Meowth", 40, 45, 35, 40, 40, 90, 290, "Normal"),
        Pokemon(53, "Persian", 65, 70, 60, 65, 65, 115, 440, "Normal"),
        Pokemon(54, "Psyduck", 50, 52, 48, 65, 50, 55, 320, "Water"),
        Pokemon(55, "Golduck", 80, 82, 78, 95, 80, 85, 500, "Water"),
        Pokemon(56, "Mankey", 40, 80, 35, 35, 45, 70, 305, "Fighting"),
        Pokemon(57, "Primeape", 65, 105, 60, 60, 70, 95, 455, "Fighting"),
        Pokemon(58, "Growlithe", 55, 70, 45, 70, 50, 60, 350, "Fire"),
        Pokemon(59, "Arcanine", 90, 110, 80, 100, 80, 95, 555, "Fire"),
        Pokemon(60, "Poliwag", 40, 50, 40, 40, 40, 90, 300, "Water"),
        Pokemon(61, "Poliwhirl", 65, 65, 65, 50, 50, 90, 385, "Water"),
        Pokemon(62, "Poliwrath", 90, 85, 95, 70, 90, 70, 500, "Water"),
        Pokemon(63, "Abra", 25, 20, 15, 105, 55, 90, 310, "Psychic"),
        Pokemon(64, "Kadabra", 40, 35, 30, 120, 70, 105, 400, "Psychic"),
        Pokemon(65, "Alakazam", 55, 50, 45, 135, 85, 120, 490, "Psychic"),
        Pokemon(66, "Machop", 70, 80, 50, 35, 35, 35, 305, "Fighting"),
        Pokemon(67, "Machoke", 80, 100, 70, 50, 60, 45, 405, "Fighting"),
        Pokemon(68, "Machamp", 90, 130, 80, 65, 85, 55, 505, "Fighting"),
        Pokemon(69, "Bellsprout", 50, 75, 35, 70, 30, 40, 300, "Grass"),
        Pokemon(70, "Weepinbell", 65, 90, 50, 85, 45, 55, 390, "Grass"),
        Pokemon(71, "Victreebel", 80, 105, 65, 100, 60, 70, 480, "Grass"),
        Pokemon(72, "Tentacool", 40, 40, 35, 50, 100, 70, 335, "Water"),
        Pokemon(73, "Tentacruel", 80, 70, 65, 80, 120, 100, 515, "Water"),
        Pokemon(74, "Geodude", 40, 80, 100, 30, 30, 20, 300, "Rock"),
        Pokemon(75, "Graveler", 55, 95, 115, 45, 45, 35, 390, "Rock"),
        Pokemon(76, "Golem", 80, 110, 130, 55, 65, 45, 485, "Rock"),
        Pokemon(77, "Ponyta", 50, 85, 55, 65, 65, 90, 410, "Fire"),
        Pokemon(78, "Rapidash", 65, 100, 70, 80, 80, 105, 500, "Fire"),
        Pokemon(79, "Slowpoke", 90, 65, 65, 40, 40, 15, 315, "Water"),
        Pokemon(80, "Slowbro", 95, 75, 110, 100, 80, 30, 490, "Water"),
        Pokemon(81, "Magnemite", 25, 35, 70, 95, 55, 45, 325, "Electric"),
        Pokemon(82, "Magneton", 50, 60, 95, 120, 70, 70, 465, "Electric"),
        Pokemon(83, "Farfetchd", 52, 65, 55, 58, 62, 60, 352,"Normal"),
        Pokemon(84, "Doduo", 35, 85, 45, 35, 35, 75, 310, "Normal"),
        Pokemon(85, "Dodrio", 60, 110, 70, 60, 60, 100, 460, "Normal"),
        Pokemon(86, "Seel", 65, 45, 55, 45, 70, 45, 325, "Water"),
        Pokemon(87, "Dewgong", 90, 70, 80, 70, 95, 70, 475, "Water"),
        Pokemon(88, "Grimer", 80, 80, 50, 40, 50, 25, 325, "Poison"),
        Pokemon(89, "Muk", 105, 105, 75, 65, 100, 50, 500, "Poison"),
        Pokemon(90, "Shellder", 30, 65, 100, 45, 25, 40, 305, "Water"),
        Pokemon(91, "Cloyster", 50, 90, 180, 85, 45, 70, 520, "Water"),
        Pokemon(92, "Gastly", 30, 35, 30, 100, 35, 80, 310, "Ghost"),
        Pokemon(93, "Haunter", 45, 50, 45, 115, 55, 95, 405, "Ghost"),
        Pokemon(94, "Gengar", 60, 65, 60, 130, 75, 110, 500, "Ghost"),
        Pokemon(95, "Onix", 35, 45, 160, 30, 45, 70, 385, "Rock"),
        Pokemon(96, "Drowzee", 60, 48, 45, 43, 90, 42, 328, "Psychic"),
        Pokemon(97, "Hypno", 85, 73, 70, 73, 115, 67, 483, "Psychic"),
        Pokemon(98, "Krabby", 30, 105, 90, 25, 25, 50, 325, "Water"),
        Pokemon(99, "Kingler", 55, 130, 115, 50, 50, 75, 475, "Water"),
        Pokemon(100, "Voltorb", 40, 30, 50, 55, 55, 100, 330, "Electric"),
        Pokemon(101, "Electrode", 60, 50, 70, 80, 80, 140, 480, "Electric"),
        Pokemon(102, "Exeggcute", 60, 40, 80, 60, 45, 40, 325, "Grass"),
        Pokemon(103, "Exeggutor", 95, 95, 85, 125, 65, 55, 520, "Grass"),
        Pokemon(104, "Cubone", 50, 50, 95, 40, 50, 35, 320, "Ground"),
        Pokemon(105, "Marowak", 60, 80, 110, 50, 80, 45, 425, "Ground"),
        Pokemon(106, "Hitmonlee", 50, 120, 53, 35, 110, 87, 455, "Fighting"),
        Pokemon(107, "Hitmonchan", 50, 105, 79, 35, 110, 76, 455, "Fighting"),
        Pokemon(108, "Lickitung", 90, 55, 75, 60, 75, 30, 385, "Normal"),
        Pokemon(109, "Koffing", 40, 65, 95, 60, 45, 35, 340, "Poison"),
        Pokemon(110, "Weezing", 65, 90, 120, 85, 70, 60, 490, "Poison"),
        Pokemon(111, "Rhyhorn", 80, 85, 95, 30, 30, 25, 345, "Ground"),
        Pokemon(112, "Rhydon", 105, 130, 120, 45, 45, 40, 485, "Ground"),
        Pokemon(113, "Chansey", 250, 5, 5, 35, 105, 50, 450, "Normal"),
        Pokemon(114, "Tangela", 65, 55, 115, 100, 40, 60, 435, "Grass"),
        Pokemon(115, "Kangaskhan", 105, 95, 80, 40, 80, 90, 490, "Normal"),
        Pokemon(116, "Horsea", 30, 40, 70, 70, 25, 60, 295, "Water"),
        Pokemon(117, "Seadra", 55, 65, 95, 95, 45, 85, 440, "Water"),
        Pokemon(118, "Goldeen", 45, 67, 60, 35, 50, 63, 320, "Water"),
        Pokemon(119, "Seaking", 80, 92, 65, 65, 80, 68, 450, "Water"),
        Pokemon(120, "Staryu", 30, 45, 55, 70, 55, 85, 340, "Water"),
        Pokemon(121, "Starmie", 60, 75, 85, 100, 85, 115, 520, "Water"),
        Pokemon(122, "Mr Mime", 40, 45, 65, 100, 120, 90, 460, "Psychic"),
        Pokemon(123, "Scyther", 70, 110, 80, 55, 80, 105, 500, "Bug"),
        Pokemon(124, "Jynx", 65, 50, 35, 115, 95, 95, 455, "Ice"),
        Pokemon(125, "Electabuzz", 65, 83, 57, 95, 85, 105, 490, "Electric"),
        Pokemon(126, "Magmar", 65, 95, 57, 100, 85, 93, 495, "Fire"),
        Pokemon(127, "Pinsir", 65, 125, 100, 55, 70, 85, 500, "Bug"),
        Pokemon(128, "Tauros", 75, 100, 95, 40, 70, 110, 490, "Normal"),
        Pokemon(129, "Magikarp", 20, 10, 55, 15, 20, 80, 200, "Water"),
        Pokemon(130, "Gyarados", 95, 125, 79, 60, 100, 81, 540, "Water"),
        Pokemon(131, "Lapras", 130, 85, 80, 85, 95, 60, 535, "Water"),
        Pokemon(132, "Ditto", 48, 48, 48, 48, 48, 48, 288, "Normal"),
        Pokemon(133, "Eevee", 55, 55, 50, 45, 65, 55, 325, "Normal"),
        Pokemon(134, "Vaporeon", 130, 65, 60, 110, 95, 65, 525, "Water"),
        Pokemon(135, "Jolteon", 65, 65, 60, 110, 95, 130, 525, "Electric"),
        Pokemon(136, "Flareon", 65, 130, 60, 95, 110, 65, 525, "Fire"),
        Pokemon(137, "Porygon", 65, 60, 70, 85, 75, 40, 395, "Normal"),
        Pokemon(138, "Omanyte", 35, 40, 100, 90, 55, 35, 355, "Rock"),
        Pokemon(139, "Omastar", 70, 60, 125, 115, 70, 55, 495, "Rock"),
        Pokemon(140, "Kabuto", 30, 80, 90, 55, 45, 55, 355, "Rock"),
        Pokemon(141, "Kabutops", 60, 115, 105, 65, 70, 80, 495, "Rock"),
        Pokemon(142, "Aerodactyl", 80, 105, 65, 60, 75, 130, 515, "Rock"),
        Pokemon(143, "Snorlax", 160, 110, 65, 65, 110, 30, 540, "Normal"),
        Pokemon(144, "Articuno", 90, 85, 100, 95, 125, 85, 580, "Ice"),
        Pokemon(145, "Zapdos", 90, 90, 85, 125, 90, 100, 580, "Electric"),
        Pokemon(146, "Moltres", 90, 100, 90, 125, 85, 90, 580, "Fire"),
        Pokemon(147, "Dratini", 41, 64, 45, 50, 50, 50, 300, "Dragon"),
        Pokemon(148, "Dragonair", 61, 84, 65, 70, 70, 70, 420, "Dragon"),
        Pokemon(149, "Dragonite", 91, 134, 95, 100, 100, 80, 600, "Dragon"),
        Pokemon(150, "Mewtwo", 106, 110, 90, 154, 90, 130, 680, "Psychic"),
        Pokemon(151, "Mew", 100, 100, 100, 100, 100, 100, 600, "Psychic")
    ]
    }
}

